var server = null;
var table = $("#scriptTab").DataTable();
var startRecordingSuccess = false;
var startServerSuccess = false;

function startServer() {
	$.post("startRecordServer", {}, function(data) {
		if (data.success) {
			server = data.server;
			$('#myModal').modal('hide');
			$('#mySecondModal').modal('show');
			$("#ProxySettingMessage").attr("class","hide");
			$("#target-url2").val($("#target-url").val());
			$('#scriptInfo2').text(
					$.i18n.prop("setProxy")+
						" IP:"+server.hostNameString
								+ " , port: " + server.port
								+ $.i18n.prop("recordScript"))
			$('#stopRecording').attr('disabled', true);
			$('#startRecording').attr('disabled', false);
			startServerSuccess = true;
		} else {
			$('#scriptInfo').html(
					$.i18n.prop("startServerFail") + data.failedMessage);
			information($.i18n.prop("startServerFail") + data.failedMessage);
		}
	}, "json");
}

function startRecording() {
	if (server != null) {
		$.post("startRecording", {
			port : server.port,
			scriptRecordUUID : server.fileName
		}, function(data) {
			if (!data.success) {
				$('#scriptInfo3').text(
						"start recording error:" + data.failedMessage);
				$('#stopRecording').attr('disabled', false);
				$('#startRecording').attr('disabled', true);
			}
			else {
				$('#scriptInfo3').text($.i18n.prop("stopRecordingMessage"));
				var url = $('#target-url2').val();
				window.open(url);
				$('#stopRecording').attr('disabled', false);
				$('#startRecording').attr('disabled', true);
				startRecordingSuccess = true;
			}
		}, "json");
	} else {
		$('#scriptInfo3').text("record script server has not started");
	}
}

function stopRecording() {
	if (server != null) {
		$.post("stopScriptRecording", {
			port : server.port,
			scriptRecordUUID : server.fileName
		}, function(data) {
			if (!data.success) {
				$('#scriptInfo3').text(
						"stop record server error:" + data.failedMessage);
				$('#startRecording').attr('disabled', false);
			}
			else {
				$('#scriptInfo3').text($.i18n.prop("stopRecord"));
				$('#fileName').show();
				stopServer();
				startRecordingSuccess = false;
			}
			$('#stopRecording').attr('disabled', true);
		}, "json");
	} else {
		$('#scriptInfo3').text("record script server has not started");
	}
}

function stopServer() {
	if (server != null) {
		$.post("stopRecordServer", {
			port : server.port,
			scriptRecordUUID : server.fileName
		}, function(data) {
			if (!data.success) {
				$('#scriptInfo3').text(
						"stop record server error:" + data.failedMessage);
			}
			else {
				startServerSuccess = false;
			}
			$('#startRecording').attr('disabled', false);
		}, "json");
	} else {
		$('#scriptInfo3').text("record script server has not started");
	}
}

function testRecordProxy() {
	$.post("testRecordProxy", {}, function(data) {
		if (data.success) {
			$('#mySecondModal').modal('hide');
			$('#myThirdModal').modal('show');
			$('#scriptInfo3').text(
				$.i18n.prop("startRecordingMessage"));
		} else {
			$("#ProxySettingMessage").attr("class","show");
		}
	}, "json");
}

function saveScript() {
	var scriptName = document.getElementsByName("scriptname")[0].value;
	$.post("saveScriptRecorded", {
		scriptName : scriptName,
		port : server.port,
		scriptRecordUUID : server.fileName
	}, function(data) {
		if (data.success) {
			$("#scriptInfo3").text($.i18n.prop("saveScriptSuccess"));
			$('#fileName').hide();
			server = null;
		} else {
			$("#scriptInfo3").text($.i18n.prop("saveScriptFail") + data.failedMessage);
			$('#fileName').hide();
		}
		loadScript(table, 2);
	});
}
